![HDC Icontrols](http://www.icontrols.co.kr/assets/img/company/incon_ci_ko.png)

# Info

여러개의 플랫폼 연동 서비스를 제공하기 위한 이벤트 수신 및 전달 전용 브릿지

  - Java Application 으로 개발 하였습니다.
  - export한 jar 파일을 서비스 등록하여 배포합니다.
  - 서비스 등록을 위해서는 `application.dat` 파일이 존재해야 합니다.

# 라이브러리 등록
이 프로젝트는 Maven 혹은 gradle 프로젝트가 아니기 때문에 dependency를 등록할 수 가 없습니다.
buildpath를 통해 라이브러리를 등록하세요.

# 지원하는 월패드 이벤트

| 이벤트명 | 이벤트 설명 |
| ------ | ------ |
| msg_device_event | 디바이스의 상태 변경 이벤트 |
| msg_home_devices_status_event | 디바이스 상태 주기보고 이벤트 |
| msg_ararm_event | 방범 알림 이벤트 (외출, 재중|
| msg_visitor_event |  방문자 알림 이벤트|
| msg_notice_event | 공지사항 알림 이벤트 |
| msg_car_inout_event | 입차 알림 이벤트 |
| msg_box_event | 택배 알림 이벤트 |
| msg_energy_event | 에너지 검침 이벤트 |
| unsubscription | 월패드 구독 해지 이벤트 |
# 지원하는 플랫폼 서비스

| 서비스명 | Event 포트 |
| ------ | ------ |
| Kakao | 2222 |
| kt | 2224 |
| Google | 추후예정 |
| UPLUS | 추후예정 |
| LGE | 추후예정 |
| SAMSUNG | 추후예정 |
| AMAZON | 추후예정 |
| APPLE | 추후예정 |

# 서비스 등록
## Linux
1. `/service/bridge` 에 export한 `bridge.jar` 파일과 `application.dat` 파일을 업로드 합니다.
2. 서비스를 등록합니다.
    ```sh
    $ cd /etc/systemd/system
    $ sudo vi bridge.service
    ```
    ```sh
    [Unit]
    Description=Event Bridge

    [Service]
    Type=simple
    User=valley
    ExecStart=/usr/bin/java -jar /service/bridge/bridge.jar
    WorkingDirectory=/service

    [Install]
    WantedBy=multi-user.target
    ```
3. 서비스 데몬을 새로고침 합니다. 
    ```sh
    $ sudo systemctl daemon-reload
    ```
4. 서비스를 시작합니다.
    ```sh
    $ sudo systemctl start bridge.service
    ```

## Windows

- 추후 작성예정

